## org.apache.http.cookie
Class MalformedCookieException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.http.HttpException
                  org.apache.http.ProtocolException
                      org.apache.http.cookie.MalformedCookieException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CookieRestrictionViolationException

    @Immutable
    public class MalformedCookieException

extends ProtocolException

Signals that a cookie is in some way invalid or illegal in a given context

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`MalformedCookieException()` Creates a new MalformedCookieException with a `null` detail message.
`MalformedCookieException(String message)` Creates a new MalformedCookieException with a specified message string.
`MalformedCookieException(String message, Throwable cause)` Creates a new MalformedCookieException with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MalformedCookieException

    public MalformedCookieException()

  Creates a new MalformedCookieException with a `null` detail message.

### MalformedCookieException

    public MalformedCookieException(String message)

  Creates a new MalformedCookieException with a specified message string.

  Parameters:
    `message` - The exception detail message

### MalformedCookieException

    public MalformedCookieException(String message,
                                    Throwable cause)

  Creates a new MalformedCookieException with the specified detail message and cause.

  Parameters:
    `message` - the exception detail message
    `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.